CREATE TABLE IF NOT EXISTS `plugin_axepta_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT IGNORE INTO `plugin_axepta_settings` (`name`, `value`) VALUES
('timezone', 'CET'),
('language', 'IT');

CREATE TABLE IF NOT EXISTS `plugin_axepta_transactions` (
`id` INT(10) NOT NULL AUTO_INCREMENT,
`customerEmail` VARCHAR(255) DEFAULT NULL,
`invoicenumber` VARCHAR(50) DEFAULT NULL,
`chargetotal` VARCHAR(50) DEFAULT NULL,
`timezone` VARCHAR(5) DEFAULT NULL,
`txndatetime` VARCHAR(50) DEFAULT NULL,
`hash` VARCHAR(255) DEFAULT NULL COMMENT 'terminalId + txndatetime + chargetotal + currency + ksig',
`currency` VARCHAR(5) DEFAULT NULL,
`language` VARCHAR(5) DEFAULT NULL,
`paymentStatus` VARCHAR(50) DEFAULT NULL,
`approvalCode` VARCHAR(50) DEFAULT NULL,
`responseBankStatus` VARCHAR(50) DEFAULT NULL,
`responseCode3dsecure` VARCHAR(5) DEFAULT NULL,
`processorResponseCode` VARCHAR(50) DEFAULT NULL,
`paymentMethod` VARCHAR(50) DEFAULT NULL,
`oid` VARCHAR(255) DEFAULT NULL,
`responseHash` VARCHAR(255) DEFAULT NULL COMMENT 'ksig + approvalCode + chargetotal + currency + txndatetime + terminalId',
`cardnumber` VARCHAR(255) DEFAULT NULL COMMENT '543212xxxxxxxx33',
`expyear` VARCHAR(50) DEFAULT NULL,
`expmonth` VARCHAR(50) DEFAULT NULL,
`refnumber` VARCHAR(50) DEFAULT NULL,
`txndateProcessed` VARCHAR(50) DEFAULT NULL,
`MYBANK` INT(1) DEFAULT NULL,
`errorMsg` VARCHAR(255) DEFAULT NULL,
PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci;

UPDATE `plugin` SET `version`='1.0.0' WHERE `name`='axepta';